Users login

Create an account »

JOIN XATRIX

Users login

Home » Security Advisories» Red Hat » Updated kdelibs packages resolve URI security issues

Updated kdelibs packages resolve URI security issues

iDEFENSE identified a vulnerability in the Opera web browser that could allow remote attackers to create or truncate arbitrary files.The KDE team has found two similar vulnerabilities that also exist in KDE.

  • Vendor: Red Hat
  • Vendor ID: RHSA-2004:222-01
  • Date: May 17, 2004


Red Hat Security Advisory

Synopsis: Updated kdelibs packages resolve URI security issues
Advisory ID: RHSA-2004:222-01
Issue date: 2004-05-17
Updated on: 2004-05-17
Product: Red Hat Enterprise Linux
Keywords:
Cross references:
Obsoletes: RHSA-2004:074
CVE Names: CAN-2004-0411
- ---------------------------------------------------------------------

1. Topic:

Updated kdelibs packages that fix telnet URI handler and mailto URI handler
file vulnerabilities are now available.

2. Relevant releases/architectures:

Red Hat Enterprise Linux AS (Advanced Server) version 2.1 - i386, ia64
Red Hat Linux Advanced Workstation 2.1 - ia64
Red Hat Enterprise Linux ES version 2.1 - i386
Red Hat Enterprise Linux WS version 2.1 - i386
Red Hat Enterprise Linux AS version 3 - i386, ia64, ppc, s390, s390x, x86_64
Red Hat Desktop version 3 - i386, x86_64
Red Hat Enterprise Linux ES version 3 - i386, ia64, x86_64
Red Hat Enterprise Linux WS version 3 - i386, ia64, x86_64

3. Problem description:

The kdelibs packages include libraries for the K Desktop Environment.

KDE Libraries include: kdecore (KDE core library), kdeui (user interface),
kfm (file manager), khtmlw (HTML widget), kio (Input/Output, networking),
kspell (spelling checker), jscript (javascript), kab (addressbook), kimgio
(image manipulation). Konqueror is a file manager and Web browser for the
K Desktop Environment (KDE).

iDEFENSE identified a vulnerability in the Opera web browser that could
allow remote attackers to create or truncate arbitrary files. The KDE team
has found two similar vulnerabilities that also exist in KDE.

A flaw in the telnet URI handler may allow options to be passed to the
telnet program, resulting in creation or replacement of files. An attacker
could create a carefully crafted link such that when opened by a victim it
creates or overwrites a file with the victim's permissions.

A flaw in the mailto URI handler may allow options to be passed to the
kmail program. These options could cause kmail to write to the file system
or to run on a remote X display. An attacker could create a carefully
crafted link in such a way that access may be obtained to run arbitrary
code as the victim.

The Common Vulnerabilities and Exposures project (cve.mitre.org) has
assigned the name CAN-2004-0411 to these issues.

Note: Red Hat Enterprise Linux 2.1 is only vulnerable to the mailto URI
flaw as a previous update shipped without a telnet.protocol file.

All users of KDE are advised to upgrade to these erratum packages, which
contain a backported patch for these issues.

4. Solution:

Before applying this update, make sure all previously released errata
relevant to your system have been applied.

To update all RPMs for your particular architecture, run:

rpm -Fvh [filenames]

where [filenames] is a list of the RPMs you wish to upgrade. Only those
RPMs which are currently installed will be updated. Those RPMs which are
not installed but included in the list will not be updated. Note that you
can also use wildcards (*.rpm) if your current directory *only* contains the
desired RPMs.

Please note that this update is also available via Red Hat Network. Many
people find this an easier way to apply updates. To use Red Hat Network,
launch the Red Hat Update Agent with the following command:

up2date

This will start an interactive process that will result in the appropriate
RPMs being upgraded on your system.

If up2date fails to connect to Red Hat Network due to SSL
Certificate Errors, you need to install a version of the
up2date client with an updated certificate. The latest version of
up2date is available from the Red Hat FTP site and may also be
downloaded directly from the RHN website:

https://rhn.redhat.com/help/latest-up2date.pxt

5. Bug IDs fixed (http://bugzilla.redhat.com/bugzilla for more info):

123232 - CAN-2004-0411 URI filtering vulnerability

6. RPMs required:

Red Hat Enterprise Linux AS (Advanced Server) version 2.1:

SRPMS:
ftp://updates.redhat.com/enterprise/2.1AS/en/os/SRPMS/kdelibs-2.2.2-11.src.rpm

i386:
Available from Red Hat Network: arts-2.2.2-11.i386.rpm
Available from Red Hat Network: kdelibs-2.2.2-11.i386.rpm
Available from Red Hat Network: kdelibs-devel-2.2.2-11.i386.rpm
Available from Red Hat Network: kdelibs-sound-2.2.2-11.i386.rpm
Available from Red Hat Network: kdelibs-sound-devel-2.2.2-11.i386.rpm

ia64:
Available from Red Hat Network: arts-2.2.2-11.ia64.rpm
Available from Red Hat Network: kdelibs-2.2.2-11.ia64.rpm
Available from Red Hat Network: kdelibs-devel-2.2.2-11.ia64.rpm
Available from Red Hat Network: kdelibs-sound-2.2.2-11.ia64.rpm
Available from Red Hat Network: kdelibs-sound-devel-2.2.2-11.ia64.rpm

Red Hat Linux Advanced Workstation 2.1:

SRPMS:
ftp://updates.redhat.com/enterprise/2.1AW/en/os/SRPMS/kdelibs-2.2.2-11.src.rpm

ia64:
Available from Red Hat Network: arts-2.2.2-11.ia64.rpm
Available from Red Hat Network: kdelibs-2.2.2-11.ia64.rpm
Available from Red Hat Network: kdelibs-devel-2.2.2-11.ia64.rpm
Available from Red Hat Network: kdelibs-sound-2.2.2-11.ia64.rpm
Available from Red Hat Network: kdelibs-sound-devel-2.2.2-11.ia64.rpm

Red Hat Enterprise Linux ES version 2.1:

SRPMS:
ftp://updates.redhat.com/enterprise/2.1ES/en/os/SRPMS/kdelibs-2.2.2-11.src.rpm

i386:
Available from Red Hat Network: arts-2.2.2-11.i386.rpm
Available from Red Hat Network: kdelibs-2.2.2-11.i386.rpm
Available from Red Hat Network: kdelibs-devel-2.2.2-11.i386.rpm
Available from Red Hat Network: kdelibs-sound-2.2.2-11.i386.rpm
Available from Red Hat Network: kdelibs-sound-devel-2.2.2-11.i386.rpm

Red Hat Enterprise Linux WS version 2.1:

SRPMS:
ftp://updates.redhat.com/enterprise/2.1WS/en/os/SRPMS/kdelibs-2.2.2-11.src.rpm

i386:
Available from Red Hat Network: arts-2.2.2-11.i386.rpm
Available from Red Hat Network: kdelibs-2.2.2-11.i386.rpm
Available from Red Hat Network: kdelibs-devel-2.2.2-11.i386.rpm
Available from Red Hat Network: kdelibs-sound-2.2.2-11.i386.rpm
Available from Red Hat Network: kdelibs-sound-devel-2.2.2-11.i386.rpm

Red Hat Enterprise Linux AS version 3:

SRPMS:
ftp://updates.redhat.com/enterprise/3AS/en/os/SRPMS/kdelibs-3.1.3-6.4.src.rpm

i386:
Available from Red Hat Network: kdelibs-3.1.3-6.4.i386.rpm
Available from Red Hat Network: kdelibs-devel-3.1.3-6.4.i386.rpm

ia64:
Available from Red Hat Network: kdelibs-3.1.3-6.4.ia64.rpm
Available from Red Hat Network: kdelibs-devel-3.1.3-6.4.ia64.rpm

ppc:
Available from Red Hat Network: kdelibs-3.1.3-6.4.ppc.rpm
Available from Red Hat Network: kdelibs-devel-3.1.3-6.4.ppc.rpm

s390:
Available from Red Hat Network: kdelibs-3.1.3-6.4.s390.rpm
Available from Red Hat Network: kdelibs-devel-3.1.3-6.4.s390.rpm

s390x:
Available from Red Hat Network: kdelibs-3.1.3-6.4.s390x.rpm
Available from Red Hat Network: kdelibs-devel-3.1.3-6.4.s390x.rpm

x86_64:
Available from Red Hat Network: kdelibs-3.1.3-6.4.x86_64.rpm
Available from Red Hat Network: kdelibs-devel-3.1.3-6.4.x86_64.rpm

Red Hat Desktop version 3:

SRPMS:
ftp://updates.redhat.com/enterprise/3desktop/en/os/SRPMS/kdelibs-3.1.3-6.4.src.rpm

i386:
Available from Red Hat Network: kdelibs-3.1.3-6.4.i386.rpm
Available from Red Hat Network: kdelibs-devel-3.1.3-6.4.i386.rpm

x86_64:
Available from Red Hat Network: kdelibs-3.1.3-6.4.x86_64.rpm
Available from Red Hat Network: kdelibs-devel-3.1.3-6.4.x86_64.rpm

Red Hat Enterprise Linux ES version 3:

SRPMS:
ftp://updates.redhat.com/enterprise/3ES/en/os/SRPMS/kdelibs-3.1.3-6.4.src.rpm

i386:
Available from Red Hat Network: kdelibs-3.1.3-6.4.i386.rpm
Available from Red Hat Network: kdelibs-devel-3.1.3-6.4.i386.rpm

ia64:
Available from Red Hat Network: kdelibs-3.1.3-6.4.ia64.rpm
Available from Red Hat Network: kdelibs-devel-3.1.3-6.4.ia64.rpm

x86_64:
Available from Red Hat Network: kdelibs-3.1.3-6.4.x86_64.rpm
Available from Red Hat Network: kdelibs-devel-3.1.3-6.4.x86_64.rpm

Red Hat Enterprise Linux WS version 3:

SRPMS:
ftp://updates.redhat.com/enterprise/3WS/en/os/SRPMS/kdelibs-3.1.3-6.4.src.rpm

i386:
Available from Red Hat Network: kdelibs-3.1.3-6.4.i386.rpm
Available from Red Hat Network: kdelibs-devel-3.1.3-6.4.i386.rpm

ia64:
Available from Red Hat Network: kdelibs-3.1.3-6.4.ia64.rpm
Available from Red Hat Network: kdelibs-devel-3.1.3-6.4.ia64.rpm

x86_64:
Available from Red Hat Network: kdelibs-3.1.3-6.4.x86_64.rpm
Available from Red Hat Network: kdelibs-devel-3.1.3-6.4.x86_64.rpm



7. Verification:

MD5 sum Package Name
- --------------------------------------------------------------------------
240c6505acec2356220b76477de9cfe9 arts-2.2.2-11.i386.rpm
45647631fb31fccd8de357dfb7285a69 arts-2.2.2-11.ia64.rpm
c7d1747dea5001e2de47ed6a278def66 kdelibs-2.2.2-11.i386.rpm
aadc9d79bddbaac5e8c0adf287b06405 kdelibs-2.2.2-11.ia64.rpm
e4f2075b6f80f7dc855d786816634e44 kdelibs-2.2.2-11.src.rpm
710fb1f4089e86101e95292564625387 kdelibs-3.1.3-6.4.i386.rpm
438ef0cd01e512e1822eb819cde5f405 kdelibs-3.1.3-6.4.ia64.rpm
6b9095e86b9698606d1def4b24c1c7af kdelibs-3.1.3-6.4.ppc.rpm
d43e989c92cf19ff5cf5ea84f13937f1 kdelibs-3.1.3-6.4.s390.rpm
0abe3254d8fcd1f55bd6dea9bb32b4f1 kdelibs-3.1.3-6.4.s390x.rpm
5a8bcb4feb3e4fa9a2cc646eb6321c83 kdelibs-3.1.3-6.4.src.rpm
7561fc225c179a046e7a2fbe85e56123 kdelibs-3.1.3-6.4.x86_64.rpm
f0c464c5cbca39beada246396d90adc8 kdelibs-devel-2.2.2-11.i386.rpm
54546bdd2f2d9849119533ca1bb0cfcf kdelibs-devel-2.2.2-11.ia64.rpm
5a7c254d028fa2ec3a3e4bf1cc7ee989 kdelibs-devel-3.1.3-6.4.i386.rpm
57ba2bdf60aa052d1fb0ca4df4295580 kdelibs-devel-3.1.3-6.4.ia64.rpm
beb3ebde3ba83c40d5991b3d57e0434b kdelibs-devel-3.1.3-6.4.ppc.rpm
38e2c6995f70cecec99e2460d76aeb30 kdelibs-devel-3.1.3-6.4.s390.rpm
7d45ff3567e12259f58f1a082d5a4ad4 kdelibs-devel-3.1.3-6.4.s390x.rpm
2d9da6a96c40c2d0956ed5692860b2ca kdelibs-devel-3.1.3-6.4.x86_64.rpm
24767eda2c7bc7c3dedec88ab1cef637 kdelibs-sound-2.2.2-11.i386.rpm
a6a516b72e2666a246c657868b31cdc4 kdelibs-sound-2.2.2-11.ia64.rpm
305b3988acb971e46d0cfc76d41efbdf kdelibs-sound-devel-2.2.2-11.i386.rpm
7e65d97bf1f95241d21a7f2bd853d5ec kdelibs-sound-devel-2.2.2-11.ia64.rpm


These packages are GPG signed by Red Hat for security. Our key is
available from https://www.redhat.com/security/team/key.html

You can verify each package with the following command:

rpm --checksig -v

If you only wish to verify that each package has not been corrupted or
tampered with, examine only the md5sum with the following command:

md5sum


8. References:

http://www.kde.org/info/security/advisory-20040517-1.txt
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2004-0411

9. Contact:

The Red Hat security contact is . More contact
details at https://www.redhat.com/security/team/contact.html

Copyright 2004 Red Hat, Inc.

Newsletter signup

Signup to our monthly newsletter and stay in touch with IT news!

Free E-books

We've got ebooks! But they're not online. :( Please give us a few days to bring downloads back.

Contact

Have something to say or just wanna drop us a line? Please keep this in mind: to spam, we reply with spam.

Contact us »